%define upstream_name    Sys-Hostname-FQDN
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    Get the short or long hostname
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
*Sys::Hostname::FQDN* uses the host 'C' library to discover the (usually)
short host name, then uses (perl) gethostbyname to extract the real
hostname.

The results from gethostbyname are exported as *gethostinfo* and
*asciihostinfo* as a convenience since they are available. Similarly, the
'C' library functions *inet_ntoa* and *inet_aton* are exported.

* $host = short();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes GPL META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.120.0-17.mga10
+ Revision: 2088226
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.120.0-16.mga10
+ Revision: 2011127
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.120.0-15.mga9
+ Revision: 1862429
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.120.0-14.mga9
+ Revision: 1796074
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.120.0-13.mga9
+ Revision: 1727135
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.120.0-12.mga8
+ Revision: 1595275
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.120.0-11.mga8
+ Revision: 1530110
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.120.0-10.mga8
+ Revision: 1433906
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.120.0-9.mga7
+ Revision: 1293804
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.120.0-8.mga7
+ Revision: 1249886
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.120.0-7.mga7
+ Revision: 1166674
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.120.0-6.mga7
+ Revision: 1149192
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.120.0-5.mga7
+ Revision: 1127052
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-4.mga6
+ Revision: 1033591
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.120.0-3.mga6
+ Revision: 958010
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.120.0-2.mga6
+ Revision: 845299
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 841560
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-8.mga5
+ Revision: 744049
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-7.mga5
+ Revision: 686283
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.110.0-6.mga5
+ Revision: 631717
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-5.mga4
+ Revision: 524465
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-4.mga4
+ Revision: 430964
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 372936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-2.mga3
+ Revision: 251164
- rebuild for perl 5.16

* Thu Jun 30 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 116673
- imported package perl-Sys-Hostname-FQDN


* Thu Jun 30 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
